#!/bin/bash

echo "Vai gerar link simbolo SWMFD"
mkdir libs
ln -f -s /usr/lib/libswmfd.so.0 libs/libswmfd.so.0

echo ""
echo "libswmfd.so"
echo "Versao 1.28  novembro / 2013"
   
case $1 in 
"LD")
   echo "Ligacao dinamica da biblioteca 'libswmfd.so'"
#   g++ -Wall -g -c "exemplo.c" -o "exemplo.o"
#   g++ -o exemplo -lpthread "/usr/lib/libswmfd.so.0" -Wl,--rpath -Wl,".libs" exemplo.o
#   g++ -o exemplo -lpthread  -lswmfd  exemplo.o  
#   g++ -O00 -g -w -o exemplo exemplo.c  -lpthread  -lswmfd 
    g++ -O00 -g -w -o exemplo exemplo.c  -lpthread  -lswmfd 
;;
"")
   echo "Carregamento dinamico da biblioteca 'libswmfd.so'"
   rm exemplo.o
   g++ -DCARREGAMENTO_DINAMICO -Wall -g -fno-strict-aliasing -c "exemplo.c" -o "exemplo.o"
   g++ -o exemplo exemplo.o -lpthread -ldl
;;
*)
   echo "Para ligacao dinamica da libswmfd.so, utilize a opcao LD: ./make.sh LD"
   echo "Para carregamento dinamico da libswmfd.so apenas ./make.sh (opcao padrao)"
   echo "Ligacao estatica NAO disponivel!"
   echo ""
esac

echo ""

